Package org.eclipse.emf.cdo.util

## Class InvalidURIException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException
        - - org.eclipse.emf.cdo.util.InvalidURIException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class InvalidURIException
      extends CDOException

  An unchecked exception being thrown to indicate problems with the `URI` of a `resource`.
  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidURIException​(org.eclipse.emf.common.util.URI uri)` |
    `InvalidURIException​(org.eclipse.emf.common.util.URI uri, java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.util.URI` | `getURI()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidURIException

          public InvalidURIException​(org.eclipse.emf.common.util.URI uri,
                                     java.lang.Throwable cause)

    - #### InvalidURIException

          public InvalidURIException​(org.eclipse.emf.common.util.URI uri)

  - ### Method Detail

    - #### getURI

          public org.eclipse.emf.common.util.URI getURI()